aboutsummaryrefslogtreecommitdiff
path: root/www/mnogosearch/files
diff options
context:
space:
mode:
authorAndrey A. Chernov <ache@FreeBSD.org>2001-04-15 08:40:22 +0000
committerAndrey A. Chernov <ache@FreeBSD.org>2001-04-15 08:40:22 +0000
commitfad688d4747227a8e4d2749daa3fdb322c28d09c (patch)
tree95f222b6b85dcfc79f1b5f4d62e099782afc483a /www/mnogosearch/files
parentffceecabd320673e7973f890fa7ea15625ffbb92 (diff)
downloadports-fad688d4747227a8e4d2749daa3fdb322c28d09c.tar.gz
ports-fad688d4747227a8e4d2749daa3fdb322c28d09c.zip
Notes
Diffstat (limited to 'www/mnogosearch/files')
-rw-r--r--www/mnogosearch/files/spelld.sh-dist24
1 files changed, 24 insertions, 0 deletions
diff --git a/www/mnogosearch/files/spelld.sh-dist b/www/mnogosearch/files/spelld.sh-dist
new file mode 100644
index 000000000000..e9f44ae6bf7d
--- /dev/null
+++ b/www/mnogosearch/files/spelld.sh-dist
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+if ! PREFIX=$(expr $0 : "\(/.*\)/etc/rc\.d/$(basename $0)\$"); then
+ echo "$0: Cannot determine the PREFIX" >&2
+ exit 1
+fi
+
+case "$1" in
+start)
+ if [ -x ${PREFIX}/sbin/spelld ]; then
+# Uncomment to disallow access from outside
+# /sbin/ipfw -q add 7001 deny tcp from any to any 7001
+ su -f -m nobody -c "exec ${PREFIX}/sbin/spelld &" > /dev/null 2>&1 && echo -n ' spelld'
+ fi
+ ;;
+stop)
+ killall spelld && echo -n ' spelld'
+ ;;
+*)
+ echo "Usage: `basename $0` {start|stop}" >&2
+ ;;
+esac
+
+exit 0